Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 761969 (CVE-2020-27781) - <sys-cluster/ceph-{14.2.16,15.2.8}: user credential leak with OpenStack Manila (CVE-2020-27781)
Summary: <sys-cluster/ceph-{14.2.16,15.2.8}: user credential leak with OpenStack Manil...
Status: RESOLVED FIXED
Alias: CVE-2020-27781
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal trivial (vote)
Assignee: Gentoo Security
URL:
Whiteboard: C4 [glsa+ cve]
Keywords:
Depends on:
Blocks: CVE-2020-10753, CVE-2020-1759, CVE-2020-1760, CVE-2020-25660
  Show dependency tree
 
Reported: 2020-12-27 19:21 UTC by John Helmert III
Modified: 2021-05-26 20:58 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2020-12-27 19:21:30 UTC
CVE-2020-27781 (https://bugzilla.redhat.com/show_bug.cgi?id=1900109):

User credentials can be manipulated and stolen by Native CephFS consumers of OpenStack Manila, resulting in potential privilege escalation. An Open Stack Manila user can request access to a share to an arbitrary cephx user, including existing users. The access key is retrieved via the interface drivers. Then, all users of the requesting OpenStack project can view the access key. This enables the attacker to target any resource that the user has access to. This can be done to even "admin" users, compromising the ceph administrator. This flaw affects Ceph versions prior to 16.2.0.


Contrary to the CVE text this was also fixed in 15.2.8 and 14.2.16 (I will
request an update for it):

https://ceph.io/releases/v14-2-16-nautilus-released/
https://ceph.io/releases/v15-2-8-octopus-released/
Comment 1 NATTkA bot gentoo-dev 2020-12-29 07:40:54 UTC Comment hidden (obsolete)
Comment 2 Patrick McLean gentoo-dev 2020-12-31 20:51:51 UTC
We can stabilize 14.2.16
Comment 3 Sam James archtester gentoo-dev Security 2021-01-01 23:00:42 UTC
amd64 done

all arches done
Comment 4 John Helmert III gentoo-dev Security 2021-01-06 22:56:07 UTC
Please cleanup.
Comment 5 Thomas Deutschmann gentoo-dev Security 2021-05-24 14:38:31 UTC
Added to an existing GLSA request.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2021-05-26 20:58:47 UTC
This issue was resolved and addressed in
 GLSA 202105-39 at https://security.gentoo.org/glsa/202105-39
by GLSA coordinator Thomas Deutschmann (whissi).